org.h2.value

## Class ValueTime

- java.lang.Object
- - org.h2.value.Value
  - - org.h2.value.ValueTime

    public class ValueTime
    extends Value

Implementation of the TIME data type.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.h2.value.Value

`Value.ValueBlob, Value.ValueClob`

### Field Summary

Fields
`static int` `PRECISION` The precision in digits.

### Fields inherited from class org.h2.value.Value

`ARRAY, BLOB, BOOLEAN, BYTE, BYTES, CLOB, DATE, DECIMAL, DOUBLE, FLOAT, GEOMETRY, INT, JAVA_OBJECT, LONG, NULL, RESULT_SET, SHORT, STRING, STRING_FIXED, STRING_IGNORECASE, TIME, TIMESTAMP, TIMESTAMP_TZ, TYPE_COUNT, UNKNOWN, UUID`

### Method Summary

Methods
`Value` `add(Value v)` Add a value and return the result.
`protected int` `compareSecure(Value o, CompareMode mode)` Compare the value with another value of the same type.
`Value` `divide(Value v)` Divide by a value and return the result.
`boolean` `equals(java.lang.Object other)` Check if the two values have the same hash code.
`static ValueTime` `fromMillis(long ms)` Calculate the time value from a given time in milliseconds in UTC.
`static ValueTime` `fromNanos(long nanos)` Get or create a time value.
`static ValueTime` `get(java.sql.Time time)` Get or create a time value for the given time.
`int` `getDisplaySize()` Get the display size in characters.
`long` `getNanos()`
`java.lang.Object` `getObject()` Get the value as an object.
`long` `getPrecision()` Get the precision.
`int` `getSignum()`
`java.lang.String` `getSQL()` Get the SQL expression for this value.
`java.lang.String` `getString()` Get the value as a string.
`java.sql.Time` `getTime()`
`int` `getType()` Get the value type.
`int` `hashCode()`
`Value` `multiply(Value v)` Multiply with a value and return the result.
`Value` `negate()` Return -value if this value support arithmetic operations.
`static ValueTime` `parse(java.lang.String s)` Parse a string to a ValueTime.
`void` `set(java.sql.PreparedStatement prep, int parameterIndex)` Set the value as a parameter in a prepared statement.
`Value` `subtract(Value v)` Subtract a value and return the result.

### Methods inherited from class org.h2.value.Value

`checkPrecision, clearCache, compareTo, compareTypeSafe, convertPrecision, convertScale, convertTo, copy, copyToResult, copyToTemp, getBigDecimal, getBoolean, getByte, getBytes, getBytesNoCopy, getDataHandler, getDate, getDouble, getFloat, getHigherOrder, getInputStream, getInt, getLong, getMemory, getReader, getResultSet, getScale, getShort, getSmall, getTableId, getTimestamp, getTraceSQL, isLinkedToTable, modulus, remove, throwUnsupportedExceptionForType, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PRECISION

    public static final int PRECISION

The precision in digits.

See Also:
  Constant Field Values

### Method Detail

#### fromNanos

    public static ValueTime fromNanos(long nanos)

Get or create a time value.

Parameters:
  `nanos` - the nanoseconds since midnight
Returns:
  the value

#### get

    public static ValueTime get(java.sql.Time time)

Get or create a time value for the given time.

Parameters:
  `time` - the time
Returns:
  the value

#### fromMillis

    public static ValueTime fromMillis(long ms)

Calculate the time value from a given time in milliseconds in UTC.

Parameters:
  `ms` - the milliseconds
Returns:
  the value

#### parse

    public static ValueTime parse(java.lang.String s)

Parse a string to a ValueTime.

Parameters:
  `s` - the string to parse
Returns:
  the time

#### getNanos

    public long getNanos()

Returns:
  nanoseconds since midnight

#### getTime

    public java.sql.Time getTime()

Overrides:
  `getTime` in class `Value`

#### getType

    public int getType()

Description copied from class: `Value`
Get the value type.

Specified by:
  `getType` in class `Value`
Returns:
  the type

#### getString

    public java.lang.String getString()

Description copied from class: `Value`
Get the value as a string.

Specified by:
  `getString` in class `Value`
Returns:
  the string

#### getSQL

    public java.lang.String getSQL()

Description copied from class: `Value`
Get the SQL expression for this value.

Specified by:
  `getSQL` in class `Value`
Returns:
  the SQL expression

#### getPrecision

    public long getPrecision()

Description copied from class: `Value`
Get the precision.

Specified by:
  `getPrecision` in class `Value`
Returns:
  the precision

#### getDisplaySize

    public int getDisplaySize()

Description copied from class: `Value`
Get the display size in characters.

Specified by:
  `getDisplaySize` in class `Value`
Returns:
  the display size

#### compareSecure

    protected int compareSecure(Value o,
                    CompareMode mode)

Description copied from class: `Value`
Compare the value with another value of the same type.

Specified by:
  `compareSecure` in class `Value`
Parameters:
  `o` - the other value
  `mode` - the compare mode
Returns:
  0 if both values are equal, -1 if the other value is smaller, and 1 otherwise

#### equals

    public boolean equals(java.lang.Object other)

Description copied from class: `Value`
Check if the two values have the same hash code. No data conversion is made; this method returns false if the other object is not of the same class. For some values, compareTo may return 0 even if equals return false. Example: ValueDecimal 0.0 and 0.00.

Specified by:
  `equals` in class `Value`
Parameters:
  `other` - the other value
Returns:
  true if they are equal

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `Value`

#### getObject

    public java.lang.Object getObject()

Description copied from class: `Value`
Get the value as an object.

Specified by:
  `getObject` in class `Value`
Returns:
  the object

#### set

    public void set(java.sql.PreparedStatement prep,
           int parameterIndex)
             throws java.sql.SQLException

Description copied from class: `Value`
Set the value as a parameter in a prepared statement.

Specified by:
  `set` in class `Value`
Parameters:
  `prep` - the prepared statement
  `parameterIndex` - the parameter index
Throws:
  `java.sql.SQLException`

#### add

    public Value add(Value v)

Description copied from class: `Value`
Add a value and return the result.

Overrides:
  `add` in class `Value`
Parameters:
  `v` - the value to add
Returns:
  the result

#### subtract

    public Value subtract(Value v)

Description copied from class: `Value`
Subtract a value and return the result.

Overrides:
  `subtract` in class `Value`
Parameters:
  `v` - the value to subtract
Returns:
  the result

#### multiply

    public Value multiply(Value v)

Description copied from class: `Value`
Multiply with a value and return the result.

Overrides:
  `multiply` in class `Value`
Parameters:
  `v` - the value to multiply with
Returns:
  the result

#### divide

    public Value divide(Value v)

Description copied from class: `Value`
Divide by a value and return the result.

Overrides:
  `divide` in class `Value`
Parameters:
  `v` - the value to divide by
Returns:
  the result

#### getSignum

    public int getSignum()

Overrides:
  `getSignum` in class `Value`

#### negate

    public Value negate()

Description copied from class: `Value`
Return -value if this value support arithmetic operations.

Overrides:
  `negate` in class `Value`
Returns:
  the negative